/* $Id: get_cmdl.c,v 1.1 1999/03/05 13:29:00 bunka Exp $
 *
 *
 * Lab3Timer
 *
 * Copyright (C) 1999, Sebastian Bunka
 *
 * Distributed under the terms of the GNU GPL
 *
 *
 */


#ifndef NEEDCOPY
#define NEEDCOPY


#include <stdlib.h>
#include "forms.h"
#include "util.h"



/* now get some command line options, some can be set in X rersources */


void get_cmdl(int argc, char *argv[]) {
  char *my_dummy;
  int i;

  for(i=1;i<argc;i++) {
      char *arg= argv[i];
      
    	if (arg[0] == '-') {
      		switch(arg[1]) {
      			case 'e':	/* the progname to exec on alarm */
        			if(++i >=argc) usage();
        			strcpy(&run_prog[0], argv[i]);
        			strcat(&run_prog[0], " &");
        			continue;
			case 'v':
				fprintf(stderr,"Lab3Timer, %s, date: %s\n(see %s for latest info).\n",
					l3t_version,my_date,APP_HOME);
				exit(1);
			case 'c':
				fprintf(stderr,"%s",copyright);
				exit(1);
			case 'n':
				/* no_popup = 1; no alarm popup */
				if (no_popup == 0){
					no_popup = 1;
				} else {
					no_popup = 0; /* cmd-line will switch */
				}
				continue;
			case 'l':
				/* linux_beep = 1; the linux console alarm hack */
				if (linux_beep == 0){
					linux_beep = 1;
				} else {
					linux_beep = 0; /* cmd-line will switch */
				}
				continue;
			case 't':
				if (tiny_mode == 0){
					tiny_mode = 1;
				} else {
					tiny_mode = 0; /* cmd-line will switch tiny/large */
				}
				continue;
			case 'i':
				/* no_tips = 1; disable/ignore tool tips */
				if (no_tips == 0){
					no_tips = 1;
				} else {
					no_tips = 0; /* cmd-line will switch  */
				}
				continue;
      			case 'y':	/* set position */
        			if(++i >=argc) usage();
        			my_dummy = strtok(argv[i],",");
        			if ( my_dummy != NULL ) x_pos = strtol(my_dummy,NULL,0);
        			my_dummy = strtok(NULL,",");
        			if ( my_dummy  != NULL) y_pos = strtol(my_dummy,NULL,0);
        			continue;
			case 'h':
			case '?':
				usage();
				exit(1);
      			default:
        			break;
      		}
    	}
  }

}

#endif  /* NEEDCOPY */
