/* $Id: layout.c,v 1.1 1999/03/05 09:37:54 bunka Exp $
 * 
 * Lab3Timer
 *
 * Copyright (C) 1999, Sebastian Bunka
 *
 * Distributed under the terms of the GNU GPL
 *
 *
 */

#include "forms.h"
#include <stdlib.h>
#include "layout.h"

FL_FORM *layout;

FL_OBJECT
        *background,
        *timer_field,
        *t_quit,
        *t_clear,
        *t_stop,
        *t_start,
        *t_help,
	*t_tooltip,
        *t_hour,
        *t_minute10,
        *t_minute,
        *t_logo,
	*t_timer[3],
	*t_button[3],
	*t_comment[3];

void create_form_layout(void)
{
  FL_OBJECT *obj;

  if (layout)
     return;

  layout = fl_bgn_form(FL_NO_BOX,250,390);
  obj = fl_add_box(FL_UP_BOX,0,0,250,390,"");
  background = obj = fl_add_box(FL_UP_BOX,0,0,250,410,"");
  timer_field = obj = fl_add_box(FL_UP_BOX,10,50,230,210,"");
  t_quit = obj = fl_add_button(FL_NORMAL_BUTTON,20,365,210,20,"Goodbye");
    fl_set_object_lcol(obj,FL_WHITE);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  t_clear = obj = fl_add_button(FL_NORMAL_BUTTON,20,310,50,50,"Clear");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  t_stop = obj = fl_add_button(FL_NORMAL_BUTTON,95,310,50,50,"Stop");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  t_start = obj = fl_add_button(FL_NORMAL_BUTTON,180,310,50,50,"Start");
    fl_set_object_color(obj,FL_YELLOW,FL_COL1);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  t_timer[0] = obj = fl_add_timer(FL_VALUE_TIMER,50,70,90,50,"");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,timer_expired,0);
  t_timer[1] = obj = fl_add_timer(FL_VALUE_TIMER,50,130,90,50,"");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,timer_expired,1);
  t_timer[2] = obj = fl_add_timer(FL_VALUE_TIMER,50,190,90,50,"");
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,timer_expired,2);
  t_button[1] = obj = fl_add_roundbutton(FL_RADIO_BUTTON,20,140,30,30,"");
  t_button[2] = obj = fl_add_roundbutton(FL_RADIO_BUTTON,20,200,30,30,"");
  t_comment[0] = obj = fl_add_input(FL_MULTILINE_INPUT,150,70,80,50,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_comment[1] = obj = fl_add_input(FL_MULTILINE_INPUT,150,130,80,50,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_comment[2] = obj = fl_add_input(FL_MULTILINE_INPUT,150,190,80,50,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_button[0] = obj = fl_add_roundbutton(FL_RADIO_BUTTON,20,80,30,30,"");
  t_help = obj = fl_add_button(FL_NORMAL_BUTTON,220,15,20,20,"?");
    fl_set_button_shortcut(obj,"?",1);
    fl_set_object_boxtype(obj,FL_OVAL_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_hour = obj = fl_add_button(FL_NORMAL_BUTTON,10,270,70,20,"Hour");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_minute10 = obj = fl_add_button(FL_NORMAL_BUTTON,90,270,70,20,"10 Min.");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_minute = obj = fl_add_button(FL_NORMAL_BUTTON,170,270,70,20,"Minutes");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
  t_logo = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,34,8,180,40,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
  t_tooltip = obj = fl_add_checkbutton(FL_PUSH_BUTTON,10,11,29,27,"");
  fl_end_form();

}

